# Get Reserved Numbers In Cart

## Overview

View all the numbers currently reserved in your cart.

## Authentication

{% hint style="info" %}
This function is available via our new GraphQL API. You can read more about how to authenticate to this API [here](/graphql-api-and-authentication.md).
{% endhint %}

## Example Query

```
query {
  reservedList {
      numbers {
      telephoneNumber
      city
      lata
    }
  }
}
```

## Example Response

```
{
  "data": {
    "reservedList": {
      "numbers": [
        {
          "city": "BOSTON",
          "lata": "128",
          "telephoneNumber": "8572391650"
        },
        {
          "city": "BOSTON",
          "lata": "128",
          "telephoneNumber": "8572391651"
        }
      ]
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/get-reserved-numbers-in-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
